#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZF
Summary:	Compress::LZF Perl module - extremely leight-weight Lev-Zimpel-Free compression
Summary(pl.UTF-8):	Moduł Perla Compress::LZF - ekstremalnie lekka kompresja Lev-Zimpel-Free
Name:		perl-Compress-LZF
Version:	3.43
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b9dcb1bae6dc48ec45dd370e75000c05
URL:		http://search.cpan.org/dist/Compress-LZF/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The module is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this module into commercial programs. It
is believed that it is free from any patents.

%description -l pl.UTF-8
LZF jest ekstremalnie szybkim (nie tak dużo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programów, które chcą
zaoszczędzić *trochę* miejsca, ale nie kosztem szybkości. Jest idealny
dla powtarzających się danych. Moduł jest mały i nie wymaga żadnej
dodatkowej dużej biblioteki. Jest wolnodostępny, więc nie powinno być
problemów z wykorzystaniem go w komercyjnych programach. Według
aktualnego stanu wiedzy jest wolny od patentów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/LZF.pm
%dir %{perl_vendorarch}/auto/Compress/LZF
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZF/*.so
%{_mandir}/man3/Compress::LZF.3pm*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Compress-LZF.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b40bdf1
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 61df2bf
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 08381e8
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 15ff657
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> bc8e4b9
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> d74a6d6
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8126abf
- release 2

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 5804428
- updated to 3.43

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 65faae6
- up to 3.41

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 7ed133e
- updated to 3.11

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c4e500
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 231a12f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 19 2007 Jakub Bogusz <qboosh@pld-linux.org> 406d01e
- updated to 1.71
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 97f79d5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2b08724
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> a7d817f
- updated to 1.7

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> ee3e64f
- adapterized (killed trailing spaces/tabs)

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0da1b94
- formatting

* Sun Aug 22 2004 Adam Gołębiowski <adamg@pld-linux.org> 770f5f6
- updated to 1.0b

* Sat Jun 05 2004 radek <radek@pld-linux.org> 9ec4e53
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

